﻿/**
 * Copyright Amazon.com, Inc. or its affiliates. All Rights Reserved.
 * SPDX-License-Identifier: Apache-2.0.
 */

#include <aws/memorydb/model/DescribeReservedNodesResult.h>
#include <aws/core/utils/json/JsonSerializer.h>
#include <aws/core/AmazonWebServiceResult.h>
#include <aws/core/utils/StringUtils.h>
#include <aws/core/utils/UnreferencedParam.h>

#include <utility>

using namespace Aws::MemoryDB::Model;
using namespace Aws::Utils::Json;
using namespace Aws::Utils;
using namespace Aws;

DescribeReservedNodesResult::DescribeReservedNodesResult()
{
}

DescribeReservedNodesResult::DescribeReservedNodesResult(const Aws::AmazonWebServiceResult<JsonValue>& result)
{
  *this = result;
}

DescribeReservedNodesResult& DescribeReservedNodesResult::operator =(const Aws::AmazonWebServiceResult<JsonValue>& result)
{
  JsonView jsonValue = result.GetPayload().View();
  if(jsonValue.ValueExists("NextToken"))
  {
    m_nextToken = jsonValue.GetString("NextToken");

  }

  if(jsonValue.ValueExists("ReservedNodes"))
  {
    Aws::Utils::Array<JsonView> reservedNodesJsonList = jsonValue.GetArray("ReservedNodes");
    for(unsigned reservedNodesIndex = 0; reservedNodesIndex < reservedNodesJsonList.GetLength(); ++reservedNodesIndex)
    {
      m_reservedNodes.push_back(reservedNodesJsonList[reservedNodesIndex].AsObject());
    }
  }



  return *this;
}
